Validate International Passport
curl --request GET \
--url https://api.dojah.io/api/v1/kyc/passport \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/kyc/passport"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/kyc/passport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"passport_number": "A00123456",
"date_of_issue": "01/02/2000",
"expiry_date": "01/02/2000",
"document_type": "Standard Passport",
"issue_place": "LAGOS",
"surname": "MUSA",
"first_name": "JOHN",
"other_names": "DOE",
"date_of_birth": "10/06/1993",
"gender": "Undecided",
"photo": "/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAEBAQEBAQEBA..."
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Validate International Passport
Validate a Customer’s International Passport
GET
/
api
/
v1
/
kyc
/
passport
Validate International Passport
Application ID from dashboard
Query parameter
A valid passport number
Surname associated with the Passport
RESPONSES
json
{
"entity": {
"passport_number": "A00123456",
"date_of_issue": "01/02/2000",
"expiry_date": "01/02/2000",
"document_type": "Standard Passport",
"issue_place": "LAGOS",
"surname": "MUSA",
"first_name": "JOHN",
"other_names": "DOE",
"date_of_birth": "10/06/1993",
"gender": "Undecided",
"photo": "/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAEBAQEBAQEBA..."
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Test Credentials for Sandbox
Kindly use this Test Passport Number in sandbox Environment Passport Number =A00123456Was this page helpful?
⌘I